%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name django_guid

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        3.4.0
Release:        1.0.2%{?dist}
Summary:        Middleware that enables single request-response cycle tracing by injecting a unique ID into project logs

License:        BSD
URL:            https://github.com/snok/django-guid
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        THIRD_PARTY_LICENSES.txt
Patch0:         0001-Add-setup.py.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-django < 5.0.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-django >= 4.0.0
%if 0%{?!scl:1}
Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%endif
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif

%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}

# Add 3rd party license
%{__cp} %{SOURCE1} .

%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE THIRD_PARTY_LICENSES.txt
%doc docs/README_PYPI.rst
%{python3_sitelib}/django_guid
%{python3_sitelib}/django_guid-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Aug 22 2024 Carlos Heiras <carlos.heiras@oracle.com> - 3.4.0-1.0.2
- Adjust Django version requirement boundaries for python3.11

* Tue Jul 23 2024 Craig Guiller <craig.guiller@oracle.com> - 3.4.0-1.0.1
- Update to 3.4
- Rebuild for python 3.11
- Add setup.py

* Thu Jun 15 2023 Qing Lin <qing.lin@oracle.com> - 3.3.0-1.0.2
- Add 3rd party licenses

* Thu Feb 2 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 3.3.0-1.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-32]

* Tue Sep 20 2022 Odilon Sousa 3.3.0-1
- Update to 3.3.0

* Tue May 24 2022 Odilon Sousa <osousa@redhat.com> - 3.2.2-1
- Release python-django-guid 3.2.2

* Tue May 10 2022 Yanis Guenane <yguenane@redhat.com> - 3.2.1-3
- Obsolete the old Python 3.8 package for smooth upgrade

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 3.2.1-2
- Build against python 3.9

* Fri Feb 04 2022 Odilon Sousa <osousa@redhat.com> - 3.2.1-1
- Release python-django-guid 3.2.1

* Tue Oct 19 2021 Evgeni Golov - 3.2.0-2
- Obsolete the old Python 3.6 package for smooth upgrade

* Wed Sep 08 2021 Evgeni Golov 3.2.0-1
- Update to 3.2.0

* Wed Sep 08 2021 Evgeni Golov - 2.2.1-2
- Build against Python 3.8

* Fri Mar 19 2021 Evgeni Golov 2.2.1-1
- Update to 2.2.1

* Mon Jan 18 2021 Evgeni Golov - 2.2.0-1
- Initial package.
